Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688690 - The number of "Alerts Firing" is 0 under each project
Summary: The number of "Alerts Firing" is 0 under each project
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 08:54 UTC by Junqi Zhao
Modified: 2019-03-15 11:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 01:03:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
"Alerts Firing" shows in "Home -> Status" page (deleted)
2019-03-14 08:54 UTC, Junqi Zhao
no flags Details
number of "Alerts Firing" is 0 under each project (deleted)
2019-03-14 08:57 UTC, Junqi Zhao
no flags Details

Description Junqi Zhao 2019-03-14 08:54:20 UTC
Created attachment 1543956 [details]
"Alerts Firing" shows in "Home -> Status" page

Description of problem:
See the attached picture, login cluster web console with cluster admin, click "Home -> Status", project select "all projects", the number of "Alerts Firing" is 4, but when the number of "Alerts Firing" is 0 under each project.

Maybe we should remove "Alerts Firing" field under each project

Version-Release number of selected component (if applicable):
4.0.0-0.nightly-2019-03-13-233958

How reproducible:
Always

Steps to Reproduce:
1. See the description part
2.
3.

Actual results:
The number of "Alerts Firing" is 0 under each project

Expected results:


Additional info:

Comment 1 Junqi Zhao 2019-03-14 08:57:09 UTC
Created attachment 1543957 [details]
number of "Alerts Firing" is 0 under each project

Comment 2 Samuel Padgett 2019-03-15 01:03:38 UTC
Not all alerts are scoped to a namespace, but some can be. You can click the number in the dashboard to get a list of alerts firing and see what they are. You should be able to see that the firing alerts in your case are not specific to any namespace.

Comment 3 Junqi Zhao 2019-03-15 07:25:28 UTC
(In reply to Samuel Padgett from comment #2)
> Not all alerts are scoped to a namespace, but some can be. You can click the
> number in the dashboard to get a list of alerts firing and see what they
> are. You should be able to see that the firing alerts in your case are not
> specific to any namespace.

Checked, the number of "Alerts Firing" is all 0 under each project, attachment in Comment 1 is just a sample

Comment 4 Samuel Padgett 2019-03-15 11:26:35 UTC
Right, again, this is expected. Some alerts are cluster-scoped and not specific to one project. We only show alerts specific to that project in the project dashboard.


Note You need to log in before you can comment on or make changes to this bug.